%define NO_REGRESSION_TEST 1

%define axiom_cvs_date 20050605

Name: axiom
Version: 3.6
Release: alt1
Serial: 1

Summary: Axiom Computer Algebra System
Summary (ru_RU.UTF-8): Система аналитических вычислений Axiom
License: Modified BSD License
Group: Sciences/Mathematics
Url: http://savannah.nongnu.org/projects/axiom
Packager: Vadim V. Zhytnikov <vvzhy@altlinux.ru>

Source0: axiom-cvs-%axiom_cvs_date.tar.bz2
Source1: %name
Source2: %name-sman
Source3: %name-16.png
Source4: %name-32.png
Source5: %name-48.png
Source6: %name.menu

Patch1: %name-%version-no-test.patch
Patch2: %name-%version-gcl-locbfd.patch

BuildRequires: libreadline-devel libncurses-devel tcl-devel tk-devel 
BuildRequires: libiberty-devel libbfd-devel-static xpm-devel XFree86-devel
BuildRequires: libgmp-devel tetex tetex-latex tetex-dvips texinfo 
BuildRequires: lynx sed gawk coreutils diffutils
BuildRequires: xorg-x11-devel xorg-x11-devel-static xpm-devel xpm

%description
Axiom is a general purpose Computer Algebra system. It is useful for
research and development of mathematical algorithms. It defines a 
strongly typed, mathematically correct type hierarchy. It has a 
programming language and a built-in compiler. 
 
Axiom has been in development since 1973 and was sold as a 
commercial product. It has been released as free software. 
 
Efforts are underway to extend this software to (a) develop a 
better user interface (b) make it useful as a teaching tool 
(c) develop an algebra server protocol (d) integrate additional 
mathematics (e) rebuild the algebra in a literate programming style 
(f) integrate logic programming (g) develop an Axiom Journal with 
refereed submissions.

%description -l ru_RU.UTF-8
Axiom является универсальной системой аналитических вычислений
и может использоваться для научных исследований и развития
математических алгоритмов.  Axiom является строго типизированной
системой с математически корректной иерархией типов.  Система 
имеет собственный язык программирования и встроенный компилятор.

Axiom развивается с 1973 года и ранее распространялась как 
коммерческий продукт.  Сейчас система выпущена под свободной
програмной лицензией.

%package doc
Summary: Axiom Book and other Documentaion
Summary (ru_RU.UTF-8): Книга и другая документация по Axiom
Group: Sciences/Mathematics

%description doc
Axiom Book and other Documentaion.

%description doc -l ru_RU.UTF-8
Книга и другая документация по Axiom.

%prep 
%setup -q -n%name

%if %NO_REGRESSION_TEST
%patch1 -p1
%endif

#cp %SOURCE2 zips/gcl-2.6.2a.tgz

%patch2 -p1
#%patch3 -p1


%build

export AXIOM=%_builddir/%name/mnt/linux
export PATH=$AXIOM/bin:$PATH

PROCESSOR_FLAGS=`echo "%optflags" | %__sed -e "s:%optflags_default::"`
export PROCESSOR_FLAGS

#make GCLOPTS='" --enable-vssize=65536*2 --enable-statsysbfd --enable-maxpage=128*1024 "'
make

cd mnt/linux/doc
dvips -o book.ps book.dvi
dvips -o Rosetta.ps Rosetta.dvi
dvips -o DeveloperNotes.ps DeveloperNotes.dvi
cd ../../..

%install

install -d %buildroot%_bindir

make INSTALL=%buildroot%_libdir/%name COMMAND=%buildroot%_bindir/%name install

# icons
install -D -m644 %SOURCE3 %buildroot%_miconsdir/%name.png
install -D -m644 %SOURCE4 %buildroot%_iconsdir/%name.png
install -D -m644 %SOURCE5 %buildroot%_liconsdir/%name.png

# menu items
install -D -m644 %SOURCE6 %buildroot%_menudir/%name

# executables
install -D -m755 %SOURCE1 %buildroot%_bindir/%name
install -D -m755 %SOURCE2 %buildroot%_bindir/%name-sman


%files
%_bindir/axiom*
%_menudir/%name
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png
%dir %_libdir/%name
%dir %_libdir/%name/mnt
%dir %_libdir/%name/mnt/linux
%_libdir/%name/mnt/linux/algebra
%_libdir/%name/mnt/linux/autoload
%_libdir/%name/mnt/linux/bin
%_libdir/%name/mnt/linux/input
%_libdir/%name/mnt/linux/lib
%_libdir/%name/mnt/linux/src
%_libdir/%name/mnt/linux/timestamp
%_libdir/%name/mnt/linux/doc/hypertex
%_libdir/%name/mnt/linux/doc/msgs
%_libdir/%name/mnt/linux/doc/viewports

%files doc
%dir %_libdir/%name
%dir %_libdir/%name/mnt
%dir %_libdir/%name/mnt/linux
%dir %_libdir/%name/mnt/linux/doc
%doc %_libdir/%name/mnt/linux/doc/*.ps


%post
%update_menus

%postun
%clean_menus


%changelog
* Sun Jun 05 2005 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 1:3.6-alt1
- Axiom 3.6 (June 2005).

* Sun Apr 10 2005 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 1:3.4-alt1
- Axiom 3.4 (April 2005). 

* Wed Feb 02 2005 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 1:3.0-alt0.20050201
- Axiom 3.0 beta (February 2005). 

* Sat Jan 01 2005 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 1:3.0-alt0.20041230
- Axiom 3.0 beta (January 2005).
- Graphics now works (use axiom-sman).

* Mon Dec 13 2004 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 3.20040831-alt3
- Fix directorie.

* Fri Nov 05 2004 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 3.20040831-alt2
- Building GCL with locbfd due to new binutils incompatibility.
 

* Mon Sep 06 2004 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 3.20040831-alt1
- CVS 08.31.2004.

* Sun May 09 2004 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 3.20040509-alt1
- Axiom book.

* Tue Apr 13 2004 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 3.20040228-alt3
- New GCL 2.6.2 CVS 13.04.2003 pre release - 25% buld speed-up.

* Mon Mar 01 2004 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 3.20040228-alt2
- BuildRequires fix. 

* Sat Feb 28 2004 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 3.20040228-alt1
- Build with our own GCL 2.6.2 pre release (not external GCL yet).

* Fri Dec 19 2003 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 3.0-alt0.03
- Build option to disable regression test.

* Thu Dec 11 2003 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 3.0-alt0.02
- Fix spadroot path problem (export AXIOM=/usr/lib/axiom/mnt/linux).

* Sun Nov 30 2003 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 3.0-alt0.01
- Initial ALT Linux release.

